
load xxx.mat

vystup=yyy.predictFcn (testovaci);

%% Hodnoceni uspesnosti


TP=0;
TN=0;
FP=0;
FN=0;
pom=[];

for i=1:1:length(vystup)
    
    pom=(vystup(i)-vzor(i));
    
    switch pom;
                          
        case 1
            FP=FP+1;
            
        case (-1)
            FN=FN+1;
    end
    
    pom=(-vystup(i))-vzor(i);
    
     switch pom;
         
        case -2
            TP=TP+1;
            
        case 0
            TN=TN+1;
     end
     
end


kontigencni_tabulka=[TP,FP;FN,TN]

specificita= TN/(TN+FP)
senzitivita= TP/(TP+FN)
accuracy=(TP+TN)/(TP+TN+FP+FN)

vysledek(1)=specificita;
vysledek(2)=senzitivita;
vysledek(3)=accuracy;

%doplnit smerodatnou odchylku